[ovs-dev] [PATCH] FAQ: Update question about OpenFlow version support.

Ben Pfaff blp at nicira.com
Thu Jan 10 17:09:18 UTC 2013


We've had a lot of questions about this on the mailing lists recently, and
it would be nice to have an authoritative answer to cut and paste.

Signed-off-by: Ben Pfaff <blp at nicira.com>
---
 FAQ |   21 ++++++++++++++++-----
 1 file changed, 16 insertions(+), 5 deletions(-)

diff --git a/FAQ b/FAQ
index a5c0cb9..57ef054 100644
--- a/FAQ
+++ b/FAQ
@@ -661,12 +661,23 @@ Controllers
 
 Q: What versions of OpenFlow does Open vSwitch support?
 
-A: Open vSwitch supports OpenFlow 1.0.  It also includes a number of
-   extensions that bring many of the features from later versions of
-   OpenFlow.  Work is underway to provide support for later versions and
-   can be tracked here:
+A: Open vSwitch 1.9 and earlier support only OpenFlow 1.0.  Open
+   vSwitch also includes a number of extensions that bring many of the
+   features from later versions of OpenFlow.
 
-       http://openvswitch.org/development/openflow-1-x-plan/
+   Open vSwitch versions 1.10 and later will have experimental support
+   for OpenFlow 1.2 and 1.3.  On these version of Open vSwitch, use the
+   command
+
+       ovs-vsctl set bridge br0 protocols=openflow10,openflow12,openflow13
+
+   to enable OpenFlow 1.0, 1.2, and 1.3 on bridge br0.
+
+   Work remains to be done.  The work to be done is tracked in the
+   file OPENFLOW-1.1+ in the Open vSwitch source tree (also via
+   http://openvswitch.org/development/openflow-1-x-plan/).  When
+   support for a given OpenFlow version is solidly implemented, Open
+   vSwitch will enable that version by default.
 
 Q: I'm getting "error type 45250 code 0".  What's that?
 
-- 
1.7.10.4




More information about the dev mailing list